v1-platform
Create Program
Create Program
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"version_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_overrides": {},
"mode": "one_time",
"recurrence": {
"day_of_month": 16,
"event_names": [
"<string>"
],
"frequency": "one_time",
"local_time": "09:00",
"starts_at": "2023-11-07T05:31:56Z",
"timezone": "UTC",
"weekday": 3
},
"release_policy": "automatic"
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs"
payload = {
"name": "<string>",
"version_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_overrides": {},
"mode": "one_time",
"recurrence": {
"day_of_month": 16,
"event_names": ["<string>"],
"frequency": "one_time",
"local_time": "09:00",
"starts_at": "2023-11-07T05:31:56Z",
"timezone": "UTC",
"weekday": 3
},
"release_policy": "automatic"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
version_bundle_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context_overrides: {},
mode: 'one_time',
recurrence: {
day_of_month: 16,
event_names: ['<string>'],
frequency: 'one_time',
local_time: '09:00',
starts_at: '2023-11-07T05:31:56Z',
timezone: 'UTC',
weekday: 3
},
release_policy: 'automatic'
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_overrides": {},
"created_at": "2023-11-07T05:31:56Z",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"recurrence": {},
"updated_at": "2023-11-07T05:31:56Z",
"version_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Path Parameters
Body
application/json
Required string length:
1 - 255Available options:
one_time, continuous Show child attributes
Show child attributes
Available options:
automatic, review_required Response
Successful Response
Available options:
one_time, continuous Available options:
automatic, review_required Available options:
draft, active, paused, archived ⌘I
Create Program
